<template>
    <v-app-bar app flat color="white">
        <router-link to="/">
            <v-img :src="require('../assets/travel-logo.jpg')" max-height="40" max-width="40" contain></v-img>
        </router-link>
        <router-link to="/">
            <v-toolbar-title class="ml-2 title">TravelGo</v-toolbar-title>
        </router-link>
        <v-spacer></v-spacer>
        <router-link to="/hotel">
            <v-btn text>Hotel</v-btn>
        </router-link>
        <router-link to="/attraction">
            <v-btn text>Attraction</v-btn>
        </router-link>
        <router-link to="/restaurant">
            <v-btn text>Restaurant</v-btn>
        </router-link>

        <div v-if="!isLogged">
            <router-link to="/login">
                <v-btn text>Login</v-btn>
            </router-link>
        </div>
        <div v-if="isLogged">
            <router-link to="/plan">
                <v-btn text>Plan</v-btn>
            </router-link>
            <v-menu offset-y>
                <template v-slot:activator="{ on }">
                    <v-btn
                            icon
                            v-on="on"
                    >
                        <v-icon>fa fa-caret-down</v-icon>
                    </v-btn>
                </template>
                <v-list>
                    <v-list-item>
                        <router-link to="/profile">
                            <v-btn text>Profile</v-btn>
                            <!--                            <span class="text&#45;&#45;black">Profile</span>-->
                        </router-link>
                    </v-list-item>
                    <v-list-item>
                        <router-link to="/plan/create">
                            <v-btn text>Create Plan</v-btn>
                        </router-link>
                    </v-list-item>
                    <v-list-item>
                        <v-btn text @click="logout">Logout</v-btn>
                    </v-list-item>
                </v-list>
            </v-menu>
        </div>
    </v-app-bar>
</template>

<script>

    export default {
        name: "ApplicationBar",
        data: () => ({
            userMenu: [
                {title: 'Profile'},
                {title: 'Logout'},
            ],
            selectedItem: -1
        }),
        computed: {
            isLogged() {
                return this.$store.getters.isLogged
            }
        },
        methods: {
            logout() {
                this.changeLoading()
                this.$store.dispatch('logout').catch(error => {
                    console.log(error)
                }).finally(() => {
                    this.changeLoading()
                    this.$router.replace({ path: '/' })
                    // location.reload();
                })
            },
            profile() {
                console.log("is profile")
            },
            changeLoading() {
                this.$emit('isLoading')
            }
        }
    }
</script>

<style scoped>

</style>